<div>
  <h2>Lista de medicos</h2>
  <table class="table-custom">
    <thead>
      <tr>
        <th>id</th>
        <th>numColegiado</th>
        <th>Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let medico of medicos">
        <td>{{medico.id}}</td>
        <td>{{medico.numColegiado}}</td>
        <td>
          <button (click)="tomarCita(medico.id)" >Tomar cita</button>
          <button (click)="editMedico(medico.id)">Editar</button>
          <button (click)="deleteMedico(medico.id)">Eliminar</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
